Package Gnumed :: Package wxpython :: Module gmEMRStructWidgets :: Class cEpisodeListSelectorDlg |
[frames] | no frames]

# Class cEpisodeListSelectorDlg

source code

                                                         wx.Dialog --+
                                                                     |
    wxGladeWidgets.wxgGenericListSelectorDlg.wxgGenericListSelectorDlg --+
                                                                         |
                                     gmListWidgets.cGenericListSelectorDlg --+
                                                                             |
                                                                            cEpisodeListSelectorDlg

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmListWidgets.cGenericListSelectorDlg`: `get_selected_item_data`, `set_column_widths`, `set_columns`, `set_data`, `set_selections`, `set_string_items`

Class Variables
Inherited from `gmListWidgets.cGenericListSelectorDlg`: `delete_callback`, `edit_callback`, `ignore_OK_button`, `left_extra_button`, `list_tooltip_callback`, `message`, `middle_extra_button`, `new_callback`, `refresh_callback`, `right_extra_button`, `select_callback`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgGenericListSelectorDlg.wxgGenericListSelectorDlg.__init__